using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.VisualStudio.Modeling.Validation;

namespace MDC.ProductionSystem
{
    static partial class ConveyorBeltsConnectedToMachinesBuilder
    {
        private static bool CanAcceptMachineAsTarget(Machine machine)
        {
            if (machine is Generator)
                return false;
            else
                return true;
        }

        private static bool CanAcceptConveyorBeltAndMachineAsSourceAndTarget(ConveyorBelt conveyorBelt, Machine machine)
        {
            return CanAcceptMachineAsTarget(machine);
        }
    }
}
